scala.collection.SortedMap
class DefaultKeySet

[source: `scala/collection/SortedMap.scala`]

`protected` `class` DefaultKeySet
  `extends` SortedSet[K]

Method Summary
`def` | compare (k0 : K, k1 : K) : Int Comparison function that orders keys.
`def` | contains (key : K) : Boolean Checks if this set contains element `elem`.
`def` | elements : Iterator[K] Creates a new iterator over all elements contained in this object.
`override def` | rangeImpl (from : Option[K], until : Option[K]) : SortedSet[K] Creates a ranged projection of this collection. Any mutations in the ranged projection will update this collection and vice versa. Keys are garuanteed to be consistent between the collection and its projection.
`def` | size : Int Returns the number of elements in this set.

Methods inherited from SortedSet
keySet, firstKey, lastKey, from, until, range, subsetOf

Methods inherited from Sorted
to, hasAll

Methods inherited from Set
apply, isEmpty, equals, hashCode, toArray

Methods inherited from Collection
toString, stringPrefix, equalWith

Methods inherited from Iterable
concat, ++, map, flatMap, filter, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, addString, addString, copyToArray, projection, hasDefiniteSize

Methods inherited from Function1
compose, andThen

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` size : Int

  Returns the number of elements in this set.

Returns
  number of set elements.

`` `def` contains(key : K) : Boolean

  Checks if this set contains element `elem`.

Parameters
  `elem -` the element to check for membership.
Returns
  `true` iff `elem` is contained in this set.

`` `def` elements : Iterator[K]

  Creates a new iterator over all elements contained in this object.

Returns
  the new iterator

`` `def` compare(k0 : K, k1 : K) : Int

  Comparison function that orders keys.

`override` `def` rangeImpl(from : Option[K], until : Option[K]) : SortedSet[K]

  Creates a ranged projection of this collection. Any mutations in the ranged projection will update this collection and vice versa. Keys are garuanteed to be consistent between the collection and its projection.

Parameters
  `from -` The lower-bound (inclusive) of the ranged projection. `None` if there is no lower bound.
  `until -` The upper-bound (exclusive) of the ranged projection. `None` if there is no upper bound.

Overrides
  SortedSet.rangeImpl